package com.chenyang.nse.bussiness.entity.orm.table.core.temporary;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_MONITOR_TMPORARY"
)
public class TCoreMonitorTemporary extends TBaseEntity {
   private Date createtime;
   private String sourcename;
   private String targetname;
   private String taskid;
   private String type;
   private String wfname;
   private int datacount;
   private String runid;
   private String jdbar;
   private long groupid;
   private int runstatus;

   public int getRunstatus() {
      return this.runstatus;
   }

   public void setRunstatus(int runstatus) {
      this.runstatus = runstatus;
   }

   public long getGroupid() {
      return this.groupid;
   }

   public void setGroupid(long groupid) {
      this.groupid = groupid;
   }

   public String getJdbar() {
      return this.jdbar;
   }

   public void setJdbar(String jdbar) {
      this.jdbar = jdbar;
   }

   public TCoreMonitorTemporary() {
   }

   public TCoreMonitorTemporary(Date createtime, String sourcename, String targetname, String taskid, String type, String wfname, int datacount, String runid) {
      this.createtime = createtime;
      this.sourcename = sourcename;
      this.targetname = targetname;
      this.taskid = taskid;
      this.type = type;
      this.wfname = wfname;
      this.datacount = datacount;
      this.runid = runid;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getSourcename() {
      return this.sourcename;
   }

   public void setSourcename(String sourcename) {
      this.sourcename = sourcename;
   }

   public String getTargetname() {
      return this.targetname;
   }

   public void setTargetname(String targetname) {
      this.targetname = targetname;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getWfname() {
      return this.wfname;
   }

   public void setWfname(String wfname) {
      this.wfname = wfname;
   }

   public int getDatacount() {
      return this.datacount;
   }

   public void setDatacount(int datacount) {
      this.datacount = datacount;
   }

   public String getRunid() {
      return this.runid;
   }

   public void setRunid(String runid) {
      this.runid = runid;
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.createtime == null ? 0 : this.createtime.hashCode());
      result = 31 * result + this.datacount;
      result = 31 * result + (int)(this.groupid ^ this.groupid >>> 32);
      result = 31 * result + (this.jdbar == null ? 0 : this.jdbar.hashCode());
      result = 31 * result + (this.runid == null ? 0 : this.runid.hashCode());
      result = 31 * result + (this.sourcename == null ? 0 : this.sourcename.hashCode());
      result = 31 * result + (this.targetname == null ? 0 : this.targetname.hashCode());
      result = 31 * result + (this.taskid == null ? 0 : this.taskid.hashCode());
      result = 31 * result + (this.type == null ? 0 : this.type.hashCode());
      result = 31 * result + (this.wfname == null ? 0 : this.wfname.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreMonitorTemporary other = (TCoreMonitorTemporary)obj;
         if (this.createtime == null) {
            if (other.createtime != null) {
               return false;
            }
         } else if (!this.createtime.equals(other.createtime)) {
            return false;
         }

         if (this.datacount != other.datacount) {
            return false;
         } else if (this.groupid != other.groupid) {
            return false;
         } else {
            if (this.jdbar == null) {
               if (other.jdbar != null) {
                  return false;
               }
            } else if (!this.jdbar.equals(other.jdbar)) {
               return false;
            }

            if (this.runid == null) {
               if (other.runid != null) {
                  return false;
               }
            } else if (!this.runid.equals(other.runid)) {
               return false;
            }

            if (this.sourcename == null) {
               if (other.sourcename != null) {
                  return false;
               }
            } else if (!this.sourcename.equals(other.sourcename)) {
               return false;
            }

            if (this.targetname == null) {
               if (other.targetname != null) {
                  return false;
               }
            } else if (!this.targetname.equals(other.targetname)) {
               return false;
            }

            if (this.taskid == null) {
               if (other.taskid != null) {
                  return false;
               }
            } else if (!this.taskid.equals(other.taskid)) {
               return false;
            }

            if (this.type == null) {
               if (other.type != null) {
                  return false;
               }
            } else if (!this.type.equals(other.type)) {
               return false;
            }

            if (this.wfname == null) {
               if (other.wfname != null) {
                  return false;
               }
            } else if (!this.wfname.equals(other.wfname)) {
               return false;
            }

            return true;
         }
      }
   }

   public String toString() {
      return "TCoreMonitorTemporary [createtime=" + this.createtime + ", sourcename=" + this.sourcename + ", targetname=" + this.targetname + ", taskid=" + this.taskid + ", type=" + this.type + ", wfname=" + this.wfname + ", datacount=" + this.datacount + ", runid=" + this.runid + ", jdbar=" + this.jdbar + ", groupid=" + this.groupid + "]";
   }
}
